Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Enforce validation before persisting model objects
Description

If there are validation rules defined for a (domain model) object, they should be enforced before actually persisting the object. This
includes the property validation rules as well as the (custom) validation rules for the whole object.

Later we also need to think of optimizations in this regard, e.g. if a property is not dirty and the object was reconstituted, there's no
need to validate it again.

Associated revisions
Revision ecf96126 - 2010-03-24 12:16 - Karsten Dambekalns

[+FEATURE] FLOW3 (Persistence): When persisting all new and dirty objects are validated now, resolves #3846. If validation fails, an exception is
thrown.

History
#1 - 2009-07-13 10:28 - Robert Lemke
- Target version set to 1.0 alpha 3

#2 - 2009-07-13 10:56 - Robert Lemke
- Assigned To set to Karsten Dambekalns

#3 - 2009-08-17 11:32 - Robert Lemke
- Target version deleted (1.0 alpha 3)

#4 - 2009-10-27 15:22 - Karsten Dambekalns
- Status changed from New to Accepted

#5 - 2010-01-20 11:06 - Karsten Dambekalns
- Target version set to 1.0 alpha 8

#6 - 2010-03-04 11:38 - Karsten Dambekalns
- Status changed from Accepted to Needs Feedback

When validating during persistence exceptions thrown cannot be handled any longer, even redirects won't be stopped anymore. Thus it seems better
to do the validation when adding to a repository. Any other thoughts?

#7 - 2010-03-09 17:41 - Robert Lemke
- Status changed from Needs Feedback to Accepted
- Start date changed from 2009-07-08 to 2010-03-02
- % Done changed from 0 to 80
- Estimated time set to 8.00

#8 - 2010-03-24 13:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 80 to 100

Applied in changeset r4010.
